Subject: Re: bug#58984: 29.0.50; M-x compile misinterprets libcheck error message format

From: Mattias Engdegård <[email-masked]>
Date: Sun, 6 Nov 2022 15:26:51 +0100

6 nov. 2022 kl. 13.10 skrev Basil L. Contovounesios <[email-masked]>:

> The only alternative format I'm aware of is after compiling the test
> runner in CK_SUBUNIT mode instead of CK_NORMAL or CK_ENV.

If you like but I rather thought about fixing libcheck. Would something break if we added a space to the format string in `tr_str`? Ask the maintainers?

> In any case the feature request was to support Check's default output
> (what we do with our small manual test suite is largely
> inconsequential), so if that's too difficult and brittle for few gains,
> we can close this as wontfix.

You decide -- I don't think it's worth the trouble to add more contortions to the already much too complex `gnu` compilation-mode rule, if that is even possible without breaking something else or introducing major regexp backtracking points...